DocumentsReturns documents for selected date range from unprocessed documents section

Returns documents for selected date range from unprocessed documents section

curl -X POST "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v1/unprocessed-documents" \
  -H "Content-Type: application/json" \
  -H "api_key: YOUR_API_KEY" \
  -d '{
  "data": {
    "organizationId": "47847786",
    "dateFrom": "2024-12-25T10:00:00Z",
    "dateLastUpdated": "2024-12-25T10:00:00Z",
    "dateTo": "2024-12-25T10:00:00Z",
    "orderBy": "delivery_date",
    "searchAfter": [
      "2025-06-12T12:00:00.000",
      "zquLggIvQ9Vmv3S3n2ER"
    ],
    "orderByDescending": false,
    "dateType": "create",
    "approvalStatus": []
  }
}'
{
  "data": {
    "totalDocuments": "5",
    "notApprovedDocuments": "4",
    "documents": [
      {
        "documentId": "doc_12345",
        "createdAt": "2025-01-15T10:30:00Z",
        "deliveryDate": "2025-01-20",
        "organizationName": "Acme Corp",
        "note": "Urgent processing requested",
        "comment": "Reviewed by finance",
        "approvalStatus": "default",
        "totalPrice": 199.99,
        "currency": "USD",
        "createdBy": "stefan@doklado.sk"
      }
    ]
  },
  "success": true,
  "message": "example_string",
  "code": "APP_UNAUTHENTICATED"
}
POST
/v1/unprocessed-documents
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: api_key)
api_keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
api_keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
dataobject

Responses

dataobject
successboolean
messagestring

optional message to help user understand error code

codestring
Allowed values:APP_UNAUTHENTICATEDAPP_INCORRECT_INPUT_DATASAVE_DATA_ERROR_CODE